summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTony Vroon <chainsaw@gentoo.org>2019-03-04 14:37:38 +0000
committerTony Vroon <chainsaw@gentoo.org>2019-03-04 14:37:38 +0000
commit8f7d5a17df8896a1c2c08668c95528a38fcd45c1 (patch)
treef5eb6960b332d83110eaa5056fe0c129c02d8449 /net-misc/arpsponge
parentsys-kernel/gentoo-sources: Linux patch 5.0 and genpatches (diff)
downloadgentoo-8f7d5a17df8896a1c2c08668c95528a38fcd45c1.tar.gz
gentoo-8f7d5a17df8896a1c2c08668c95528a38fcd45c1.tar.bz2
gentoo-8f7d5a17df8896a1c2c08668c95528a38fcd45c1.zip
net-misc/arpsponge: Version bump to 3.17.11
This updates the homepage & SRC_URI to Github, as the AMS-IX redesigned webpage appears to have broken all the download links and project home. Since the previous packaged release is from 2012; I aim to remove it soon. Requested-By: Mike Hellers <mikeh@linx.net> Signed-Off-By: Tony Vroon <chainsaw@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'net-misc/arpsponge')
-rw-r--r--net-misc/arpsponge/Manifest1
-rw-r--r--net-misc/arpsponge/arpsponge-3.17.11.ebuild62
2 files changed, 63 insertions, 0 deletions
diff --git a/net-misc/arpsponge/Manifest b/net-misc/arpsponge/Manifest
index e3c357368c6..619369c6d26 100644
--- a/net-misc/arpsponge/Manifest
+++ b/net-misc/arpsponge/Manifest
@@ -1 +1,2 @@
DIST arpsponge-3.12.2.tar.gz 105507 BLAKE2B 4bed9d81f93eb6412ffe1e7107df9a113880fe5473ce04ca7ef9027b46adc3ab68c056688ad673819a59e2bf0bff298a948b37d1c99f2f0c573083cef1833c0d SHA512 49106e03c03080b45f8c27f483dc2b95d588d156685966acc4e5c28d068a503c98aa3ef16fbdb8a8da6bae5dbe378b92dc82c932201cf5ce48cda4d006245a5b
+DIST arpsponge-3.17.11.tar.gz 103641 BLAKE2B 928ee848f0dc84304d5984ae8216fcc6d348deac03bb0e8e3178c27655d9b1550b426b58a4291c239b913e55316e8ad74519997c5b2a88783391e92e5c37c368 SHA512 70c5f16b568457ec1d88126f981d0c7cd0e85bff902dd3e4a33d9bff90475475231111ead583ded12e30301d185104e4b8119088d52a6c6091f2601822ca83f3
diff --git a/net-misc/arpsponge/arpsponge-3.17.11.ebuild b/net-misc/arpsponge/arpsponge-3.17.11.ebuild
new file mode 100644
index 00000000000..5e23076d980
--- /dev/null
+++ b/net-misc/arpsponge/arpsponge-3.17.11.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit perl-module
+
+DESCRIPTION="Sweeps up stray ARP queries from a peering LAN"
+HOMEPAGE="https://github.com/AMS-IX/arpsponge"
+SRC_URI="https://github.com/AMS-IX/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="|| ( GPL-1+ Artistic )"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-lang/perl
+ dev-perl/IO-String
+ dev-perl/NetAddr-IP
+ dev-perl/NetPacket
+ dev-perl/Net-ARP
+ dev-perl/Net-Pcap
+ dev-perl/Readonly
+ dev-perl/TermReadKey
+ dev-perl/Term-ReadLine-Gnu
+ virtual/perl-Data-Dumper
+ virtual/perl-File-Path
+ virtual/perl-Getopt-Long
+ virtual/perl-Sys-Syslog
+ virtual/perl-Time-HiRes
+"
+
+DEPEND="${RDEPEND}
+ sys-devel/make
+"
+
+src_install() {
+ perl_set_version
+ insinto ${VENDOR_LIB}/M6
+ doins lib/M6/ReadLine.pm
+
+ insinto ${VENDOR_LIB}/M6/ARP
+ doins lib/M6/ARP/Base.pm
+ doins lib/M6/ARP/Const.pm
+ doins lib/M6/ARP/Control.pm
+ doins lib/M6/ARP/Event.pm
+ doins lib/M6/ARP/Log.pm
+ doins lib/M6/ARP/NetPacket.pm
+ doins lib/M6/ARP/Queue.pm
+ doins lib/M6/ARP/Sponge.pm
+ doins lib/M6/ARP/Table.pm
+ doins lib/M6/ARP/Util.pm
+
+ insinto ${VENDOR_LIB}/M6/ARP/Control
+ doins lib/M6/ARP/Control/Base.pm
+ doins lib/M6/ARP/Control/Client.pm
+ doins lib/M6/ARP/Control/Server.pm
+
+ newinitd "${FILESDIR}/arpsponge.initd" arpsponge
+ newconfd "${FILESDIR}/arpsponge.confd" arpsponge
+ dosbin sbin/asctl sbin/arpsponge sbin/aslogtail
+ doman man/asctl.8 man/arpsponge.8 man/aslogtail.8
+ dodoc doc/command_mapping.txt doc/arpsponge_architecture.txt
+}